From 02c53fb5a4fd1ee20789c89f9f0b71f3f15c5161 Mon Sep 17 00:00:00 2001
From: Kuninori Morimoto <morimoto.kuninori@renesas.com>
Date: Thu, 12 Nov 2009 14:49:55 +0900
Subject: [PATCH 22/28] tw9910: use V4L2_FIELD_INTERLACED_BT

tw9910 output is interlaced and its correct order is Bottom - Top

Signed-off-by: Kuninori Morimoto <morimoto.kuninori@renesas.com>
Signed-off-by: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
---
 drivers/media/video/tw9910.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/drivers/media/video/tw9910.c b/drivers/media/video/tw9910.c
index 66ca390..b7e29ba 100644
--- a/drivers/media/video/tw9910.c
+++ b/drivers/media/video/tw9910.c
@@ -830,7 +830,7 @@ static int tw9910_g_fmt(struct v4l2_subdev *sd,
 	mf->height	= priv->scale->height;
 	mf->code	= V4L2_MBUS_FMT_VYUY8_2X8;
 	mf->colorspace	= V4L2_COLORSPACE_JPEG;
-	mf->field	= V4L2_FIELD_INTERLACED;
+	mf->field	= V4L2_FIELD_INTERLACED_BT;
 
 	return 0;
 }
@@ -852,7 +852,7 @@ static int tw9910_s_fmt(struct v4l2_subdev *sd,
 	int ret;
 
 	WARN_ON(mf->field != V4L2_FIELD_ANY &&
-		mf->field != V4L2_FIELD_INTERLACED);
+		mf->field != V4L2_FIELD_INTERLACED_BT);
 
 	/*
 	 * check color format
@@ -878,8 +878,8 @@ static int tw9910_try_fmt(struct v4l2_subdev *sd,
 	const struct tw9910_scale_ctrl *scale;
 
 	if (V4L2_FIELD_ANY == mf->field) {
-		mf->field = V4L2_FIELD_INTERLACED;
-	} else if (V4L2_FIELD_INTERLACED != mf->field) {
+		mf->field = V4L2_FIELD_INTERLACED_BT;
+	} else if (V4L2_FIELD_INTERLACED_BT != mf->field) {
 		dev_err(&client->dev, "Field type %d invalid.\n", mf->field);
 		return -EINVAL;
 	}
-- 
1.6.2.4

